%bcond_with python2
# the test suite is diabled b/c it needs docker-credential-secretservice binary
%bcond_with tests

Name:           python-docker-pycreds
Version:        0.4.0
Release:        1
Summary:        Python bindings for the docker credentials store API
License:        ASL 2.0
URL:            https://github.com/shin-/dockerpy-creds/
Source0:        https://files.pythonhosted.org/packages/source/d/docker-pycreds/docker-pycreds-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools python3-six
%if %{with tests}
BuildRequires:  python3-pytest
%endif

%if %{with python2}
BuildRequires:  python2-devel python2-setuptools python2-six
%if %{with tests}
BuildRequires:  python2-pytest
%endif
%endif

%description
Python bindings for the docker credentials store API

%package     -n python3-docker-pycreds
Summary:        Python bindings for the docker credentials store API

Requires:       python3-six

%{?python_provide:%python_provide python3-docker-pycreds}

%description -n python3-docker-pycreds
Python bindings for the docker credentials store API

%if %{with python2}
%package     -n python2-docker-pycreds
Summary:        Python bindings for the docker credentials store API

Requires:       python2-six

%{?python_provide:%python_provide python2-docker-pycreds}

%description -n python2-docker-pycreds
Python bindings for the docker credentials store API
%endif

%prep
%autosetup -n docker-pycreds-%{version} -p1

%build
%py3_build

%if %{with python2}
%py2_build
%endif

%install
%py3_install

%if %{with python2}
%py2_install
%endif

%check
%{__python3} -c "import dockerpycreds"
%if %{with tests}
PYTHONPATH="${PWD}" py.test-%{python3_version} -vv tests/
%endif

%if %{with python2}
%{__python2} -c "import dockerpycreds"
%if %{with tests}
PYTHONPATH="${PWD}" py.test-%{python2_version} -vv tests/
%endif
%endif

%if %{with python2}
%files -n python2-docker-pycreds
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python2_sitelib}/dockerpycreds
%{python2_sitelib}/docker_pycreds-%{version}-py?.?.egg-info
%endif

%files -n python3-docker-pycreds
%defattr(-,root,root)
%doc README.md
%license LICENSE
%{python3_sitelib}/dockerpycreds
%{python3_sitelib}/docker_pycreds-%{version}-py?.?.egg-info

%changelog
* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.4.0-1
- Package init
